[SA15344] 1Two News Script Insertion and Authentication Bypass

2005-05-13T00:00:00
ID SECURITYVULNS:DOC:8619
Type securityvulns
Reporter Securityvulns
Modified 2005-05-13T00:00:00

Description


Want a new IT Security job?

Vacant positions at Secunia: http://secunia.com/secunia_vacancies/


TITLE: 1Two News Script Insertion and Authentication Bypass

SECUNIA ADVISORY ID: SA15344

VERIFY ADVISORY: http://secunia.com/advisories/15344/

CRITICAL: Moderately critical

IMPACT: Security Bypass, Cross Site Scripting

WHERE: >From remote

SOFTWARE: 1Two News 1.x http://secunia.com/product/5095/

DESCRIPTION: Sylvain Thual has reported two vulnerabilities in 1Two News, which can be exploited by malicious people to conduct script insertion attacks and bypass certain security restrictions.

1) Input passed to various fields when posting a comment is not properly sanitised before being used. This can be exploited to inject arbitrary HTML and script code, which will be executed in a user's browser session in context of an affected site when the malicious posting is viewed.

2) The problem is that the scripts "admin/upload.php" and "admin/delete.php" can be accessed without being authenticated. This can be exploited to delete or upload arbitrary images.

The vulnerabilities have been reported in version 1.0. Other versions may also be affected.

SOLUTION: 1) The vulnerability has been fixed in an updated 1.0 version.

2) Edit the source code to ensure that authentication is properly performed.

PROVIDED AND/OR DISCOVERED BY: Sylvain Thual


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.